Page MenuHomePhabricator

HTMLInfoField.php: 'default' must be a FieldLayout or subclass when using 'rawrow'
Closed, ResolvedPublic

Description

/wiki/Special:Preferences   Exception from line 86 of /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/fields/HTMLInfoField.php: 'default' must be a FieldLayout or subclass when using 'rawrow'
#0 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/HTMLForm.php(1672): HTMLInfoField->getOOUI(string)
#1 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/HTMLForm.php(1692): HTMLForm->displaySection(array, string, string, boolean)
#2 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/specials/forms/PreferencesFormOOUI.php(217): HTMLForm->displaySection(array, string, string)
#3 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/HTMLForm.php(1044): PreferencesFormOOUI->getBody()
#4 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/HTMLForm.php(1023): HTMLForm->getHTML(boolean)
#5 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/htmlform/HTMLForm.php(577): HTMLForm->displayForm(boolean)
#6 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/specials/SpecialPreferences.php(159): HTMLForm->show()
#7 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/specialpage/SpecialPage.php(569): SpecialPreferences->execute(NULL)
#8 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#9 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/MediaWiki.php(868): MediaWiki->performRequest()
#11 /srv/mediawiki/tags/2018-10-02_06:46:44/includes/MediaWiki.php(525): MediaWiki->main()
#12 /srv/mediawiki/tags/2018-10-02_06:46:44/index.php(42): MediaWiki->run()
#13 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 7:15 AM
Nikerabbit triaged this task as Unbreak Now! priority.Oct 2 2018, 7:25 AM
Nikerabbit added a subscriber: matmarex.

Some further debugging points me to https://github.com/SemanticMediaWiki/SemanticMediaWiki/blob/master/src/MediaWiki/Hooks/GetPreferences.php#L45

For me this is UBN! because Special:Preferences cannot be accessed on translatewiki.net currently.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 2 2018, 7:25 AM

@Nikerabbit Can you put some var_dumps or something into that method to identify the preferences field (and the extension) that is causing the issue? It works fine for me locally and on Beta Wikipedia.

@Nikerabbit Can you put some var_dumps or something into that method to identify the preferences field (and the extension) that is causing the issue? It works fine for me locally and on Beta Wikipedia.

Yes, did you see my comment above?

Oh, I didn't, duh.

I guess this is the same issue as T203202 and needs the same fix as https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BetaFeatures/+/457504

Nikerabbit lowered the priority of this task from Unbreak Now! to High.Oct 2 2018, 12:18 PM

No longer UBN! since I have a workaround.

Change 464062 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] HTMLInfoField: Undo breaking change, deprecate instead, add release notes

https://gerrit.wikimedia.org/r/464062

@Nikerabbit I would appreciate if you could review. Thanks for reporting the issue!

Change 464062 merged by jenkins-bot:
[mediawiki/core@master] HTMLInfoField: Undo breaking change, deprecate instead, add release notes

https://gerrit.wikimedia.org/r/464062

matmarex closed this task as Resolved.Oct 11 2018, 1:18 AM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.